import java.awt.*;
import javax.swing.*;

/**
 * this file defines useful constants that will be used in DTW applet
 */
public interface Constants {

    /**
     * array to store the vocabulary
     */
    final static String words[] = {"One", "Two", "Three", "Four", "Five",
				   "Six", "Seven", "Eight", "Nine", "Zero", 
				   "Oh"};
    /**
     * array to store the label for template spectrogram panel
     */
    final static String models[] = {"Model One:", "Model Two:", 
				    "Model Three:", "Model Four:", 
				    "Model Five:", "Model Six:",
				    "Model Seven:", "Model Eight:", 
				    "Model Nine:", "Model Zero:", 
				    "Model Oh:"};
    /**
     * array to store the label for signal spectrogram panel
     */
    final static String testsignals[] = {"Signal One:", "Signal Two:", 
					 "Signal Three:", "Signal Four:", 
					 "Signal Five:", "Signal Six:",
					 "Signal Seven:", "Signal Eight:", 
					 "Signal Nine:", "Signal Zero:", 
					 "Signal Oh:"};

    /**
     * array to store the colormap to draw the spectrogram
     */
    final static Color colortable[] = {
	new Color(  0, 172, 252),
	new Color(  0 , 172,  252    ),
	new Color(  0, 172, 252	 ),
	new Color(  0, 168, 252	 ),
	new Color(  0, 164, 252	 ),
	new Color(  0, 160, 252	 ),
	new Color(  0, 152, 252	 ),
	new Color(  0, 152, 252	 ),
	new Color(  0, 148, 252	 ),
	new Color(  0, 148, 252	 ),
	new Color(  0, 144, 252	 ),
	new Color(  0, 140, 252	 ),
	new Color(  0, 136, 252	 ),
	new Color(  0, 132, 252	 ),
	new Color(  0, 132, 252	 ),
	new Color(  0, 128, 252	 ),
	new Color(  0, 124, 252	 ),
	new Color(  0, 120, 252	 ),
	new Color(  0, 116, 252	 ),
	new Color(  0, 112, 252	 ),
	new Color(  0, 112, 252	 ),
	new Color(  0, 108, 252	 ),
	new Color(  0, 104, 252	 ),
	new Color(  0, 100, 252	 ),
	new Color(  0,  96, 252	 ),
	new Color(  0, 92, 252	 ),
	new Color(  0, 92, 252	 ),
	new Color(  0, 88, 252	 ),
	new Color(  0, 84, 252	 ),
	new Color(  0, 80, 252	 ),
	new Color(  0, 8 , 252	 ),
	new Color(  0 , 4 , 252	 ),
	new Color(  0, 4 , 252	 ),
	new Color(  4,  4, 248	 ),
	new Color(  4,  4, 248	 ),
	new Color(  8,  4, 244	 ),
	new Color(  8,  8, 240	 ),
	new Color( 12,  8, 236	 ),
	new Color( 16,  8, 232	 ),
	new Color( 16, 12, 232	 ),
	new Color( 20, 12, 228	 ),
	new Color( 20, 12, 224	 ),
	new Color( 24, 12, 224	 ),
	new Color( 24, 16, 220	 ),
	new Color( 28, 16, 216	 ),
	new Color( 28, 16, 216	 ),
	new Color( 32, 16, 212	 ),
	new Color( 32 ,20, 212	 ),
	new Color( 36,20, 208	 ),
	new Color( 32,20, 204	 ),
	new Color( 40,20, 204	 ),
	new Color( 40,20, 200	 ),
	new Color(  44,24,196	 ),
	new Color(  44,24,196	 ),
	new Color(  48,24,192	 ),
	new Color(  48,24,188	 ),
	new Color(  52, 28, 188	 ),
	new Color(  52, 28, 184	 ),
	new Color(  56, 28, 180	 ),
	new Color(  56, 28, 180	 ),
	new Color(  60, 32, 176	 ),
	new Color(  60, 32, 172	 ),
	new Color(  64, 32, 172	 ),
	new Color(  64, 32, 168	 ),
	new Color(  68, 36, 168	 ),
	new Color(  68, 36, 164	 ),
	new Color(  72, 36, 160	 ),
	new Color(  72, 36, 160	 ),
	new Color(  76, 40, 156	 ),
	new Color(  76, 40, 152	 ),
	new Color(  80, 40, 152	 ),
	new Color(  80, 40, 148	 ),
	new Color(  84, 44, 144	 ),
	new Color(  84, 44, 144	 ),
	new Color(  88, 44, 140	 ),
	new Color(  88, 44, 136	 ),
	new Color(  92, 48, 136	 ),
	new Color(  92, 48, 132	 ),
	new Color(  96, 48, 128	 ),
	new Color(  100, 48, 128	 ),
	new Color(  100, 48, 128	 ),
	new Color(  104, 52, 124	 ),
	new Color(  104, 52, 120	 ),
	new Color(  108, 52, 116	 ),
	new Color(  108, 52, 116	 ),
	new Color(  112, 56, 112	 ),
	new Color(  112, 56, 108	 ),
	new Color(  116, 56, 108	 ),
	new Color(  116, 56, 104	 ),
	new Color(  120, 60, 100	 ),
	new Color(  120, 60, 100	 ),
	new Color(  124, 60, 96	 ),
	new Color(  124, 60, 92	 ),
	new Color(  128, 64, 92	 ),
	new Color(  128, 64, 88	 ),
	new Color(  132, 64, 88	 ),
	new Color(  132, 54, 84	 ),
	new Color(  136, 68, 80	 ),
	new Color(  136, 68, 80	 ),
	new Color(  140, 68, 76 	 ),
	new Color(  140, 68, 72 	 ),
	new Color(  144, 72, 72	 ),
	new Color(  144, 72 , 68	 ),
	new Color(  148, 72, 64	 ),
	new Color(  148, 72, 64	 ),
	new Color(  152, 72, 60	 ),
	new Color(  152, 76, 56	 ),
	new Color(  156, 76, 56	 ),
	new Color(  156, 76, 52	 ),
	new Color(  160, 76, 48	 ),
	new Color(  164, 80, 44	 ),
	new Color(  164, 80, 44	 ),
	new Color(  168, 80, 40	 ),
	new Color(  168, 84, 36	 ),
	new Color(  172, 84, 36	 ),
	new Color(  172, 84, 32	 ),
	new Color(  176, 84, 28	 ),
	new Color(  176, 88, 28	 ),
	new Color(  180, 88, 24	 ),
	new Color(  180, 88, 20	 ),
	new Color(  184, 88, 20	 ),
	new Color(  184, 92, 16	 ),
	new Color(  188, 92, 12	 ),
	new Color(  188, 92, 12	 ),
	new Color(  192, 92, 8	 ),
	new Color(  196, 96, 4	 ),
	new Color(  196, 96, 4	 ),
	new Color(  196, 100, 4	 ),
	new Color(  196, 100, 4	 ),
	new Color(  196, 104, 4	 ),
	new Color(  200, 108, 4	 ),
	new Color(  200, 108, 4	 ),
	new Color(  200, 112, 4	 ),
	new Color(  200, 112, 4	 ),
	new Color(  200, 116, 4	 ),
	new Color(  204, 120, 4	 ),
	new Color(  204, 120, 4	 ),
	new Color(  204, 124, 4	 ),
	new Color(  204, 124, 4	 ),
	new Color(  208, 128, 4	 ),
	new Color(  208, 132, 4	 ),
	new Color(  208, 132, 4	 ),
	new Color(  208, 136, 4	 ),
	new Color(  208, 136, 4 	 ),
	new Color(  212, 140, 4	 ),
	new Color(  212, 144, 4	 ),
	new Color(  212, 144, 4	 ),
	new Color(  212, 148, 4	 ),
	new Color(  216, 152, 4	 ),
	new Color(  216, 152, 4	 ),
	new Color(  216, 156, 4	 ),
	new Color(  216, 156, 4	 ),
	new Color(  216, 160, 4	 ),
	new Color(  200, 164, 4	 ),
	new Color(  200, 164, 4	 ),
	new Color(  200, 168, 4	 ),
	new Color(  200, 168, 4	 ),
	new Color(  224, 172, 4	 ),
	new Color(  224, 176, 4	 ),
	new Color(  224, 176, 4	 ),
	new Color(  224, 180, 4	 ),
	new Color(  224, 180, 4	 ),
	new Color(  228, 184, 4	 ),
	new Color(  228, 188, 4	 ),
	new Color(  228, 188, 4	 ),
	new Color(  228, 192, 4	 ),
	new Color(  228, 192, 4	 ),
	new Color(  232, 196, 4	 ),
	new Color(  232, 200, 4	 ),
	new Color(  232, 200, 4	 ),
	new Color(  232, 204, 4	 ),
	new Color(  236, 208, 4	 ),
	new Color(  236, 208, 4	 ),
	new Color(  236, 212, 4	 ),
	new Color(  236, 212, 4	 ),
	new Color(  236, 216, 4	 ),
	new Color(  240, 220, 4	 ),
	new Color(  240, 220, 4	 ),
	new Color(  240, 224, 4	 ),
	new Color(  240, 224, 4	 ),
	new Color(  244, 228, 4	 ),
	new Color(  244, 232, 4	 ),
	new Color(  244, 232, 4	 ),
	new Color(  244, 236, 4	 ),
	new Color(  244, 232, 4	 ),
	new Color(  248, 240, 4	 ),
	new Color(  248, 244, 4	 ),
	new Color(  248, 244, 4	 ),
	new Color(  248, 248, 4	 ),
	new Color(  252, 252, 0	 ),
	new Color(  252, 252, 104 ),
	new Color(  252, 252, 104 ),
	new Color(  252, 252, 108 ),
	new Color(  252, 252, 112 ),
	new Color(  252, 252, 116 ),
	new Color(  252, 252, 120 ),
	new Color(  252, 252, 120 ),
	new Color(  252, 252, 124 ),
	new Color(  252, 252, 128 ),
	new Color(  252, 252, 132 ),
	new Color(  252, 252, 136 ),
	new Color(  252, 252, 136 ),
	new Color(  252, 252, 140 ),
	new Color(  252, 252, 144 ),
	new Color(  252, 252, 148 ),
	new Color(  252, 252, 152 ),
	new Color(  252, 252, 152 ),
	new Color(  252, 252, 156 ),
	new Color(  252, 252, 160 ),
	new Color(  252, 252, 164 ),
	new Color(  252, 252, 168 ),
	new Color(  252, 252, 168 ),
	new Color(  252, 252, 176 ),
	new Color(  252, 252, 180 ),
	new Color(  252, 252, 184 ),
	new Color(  252, 252, 188 ),
	new Color(  252, 252, 192 ),
	new Color(  252, 252, 196 ),
	new Color(  252, 252, 200 ),
	new Color(  252, 252, 200 ),
	new Color(  252, 252, 204 ),
	new Color(  252, 252, 208 ),
	new Color(   252, 252, 212 ),
	new Color(   252, 252, 216 ),
	new Color(   252, 252, 216 ),
	new Color(  252, 252, 220 ),
	new Color(  252, 252, 224 ),
	new Color(  252, 252, 228 ),
	new Color(  252, 252, 232 ),
	new Color(  252, 252, 232 ),
	new Color(  252, 252, 236 ),
	new Color(  252, 252, 240 ),
	new Color(  252, 252, 244 ),
	new Color(  252, 252, 248 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252 ),
	new Color(  252, 252, 252  )};
    
}
