// file: ProcessBox.java
//

// import necessary java libraries
//
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

/**
 * ProcessBox implements the text area at the southwest of the applet that 
 * acts as a process description. 
 *
 * hierarchy: JPanel->SubPanel->ProcessBox
 */
public class ProcessBox extends SubPanel {

    // *********************************************************************
    //
    // declare global variables and components
    //
    // *********************************************************************

    /**
     * text area for user information 
     */ 
    JTextArea textArea;

    /**
     * scroll pane for the text area
     */
    JScrollPane scrollPane; 


    /**
     * title for process discription
     */
    String title;                  

    /**
     * fonts for the buttons
     */
    Font currentFont = getFont();   

    Font newFont = new Font(currentFont.getName(), 
			    currentFont.getStyle(), 12);
    // *********************************************************************
    //
    // declare class constructors
    //
    // *********************************************************************
   
    /**
     * constructor initializes the text area and scroll bar objects
     */
    public ProcessBox() {

	// initialize the titles of the objects
	//
	title = new String("Process Description:");

	// initialize the text area
	//
	textArea = new JTextArea();
	textArea.setEditable(false);

	// make the text area scrollable
	//
	scrollPane = new JScrollPane(textArea);

	// set the border for the panel
	//
	Border titleBorder = BorderFactory.createTitledBorder(
			     BorderFactory.createLineBorder(Color.black), 
			     title, 
			     TitledBorder.LEFT, 
			     TitledBorder.ABOVE_TOP, 
			     newFont, 
			     Color.black);
	scrollPane.setBorder(titleBorder);

	// add scrollPane to the panel
	addComponents();
    }

    // *********************************************************************
    //
    // declare class methods
    //
    // *********************************************************************
    
    /**
     * add components to the input panel
     */
    public void addComponents() {
	
	constrain(this, scrollPane, 0, 0, GridBagConstraints.REMAINDER, 
		  1, GridBagConstraints.BOTH,
		  GridBagConstraints.NORTHWEST, 1, 1, 0, 0, 0, 0);
    }
}

//
// end of file

